##  for Mageia 9  ##

%global oname	KDiskMark

# turn off debuginfo package
%define debug_package %{nil}

Name:    kdiskmark
Summary: A simple open-source disk benchmark tool
Version: 3.1.4
Release: 1.np9
License: GPLv3
Group:   System/Kernel and hardware
Url:     https://github.com/JonMagon/KDiskMark
Source0: https://github.com/JonMagon/KDiskMark/releases/download/%{version}/KDiskMark-%{version}-source.tar.gz

BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: cmake(Qt5)
BuildRequires: cmake(Qt5Widgets)
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}polkit-qt5-1-devel

Requires: %{_lib}qt5widgets5
Requires: %{_lib}qt5dbus5
Requires: fio
Requires: %{_lib}polkit-qt5-agent-1_1

%description
KDiskMark is an HDD and SSD benchmark tool with a very friendly graphical user interface.
KDiskMark with its presets and powerful GUI calls Flexible I/O Tester and handles the output to provide an easy to view and interpret comprehensive benchmark result.


%prep
%autosetup -n %{oname}-%{version} -p1


%build
%cmake_qt5
%cmake_build


%install
%cmake_install

%find_lang %{name} --with-qt


%files -f %{name}.lang
%{_bindir}/kdiskmark
%{_libexecdir}/kdiskmark_helper
%{_iconsdir}/hicolor/*/apps/kdiskmark.*
%{_datadir}/applications/kdiskmark.desktop
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/dbus-1/system.d/*.conf
%{_datadir}/polkit-1/actions/*.policy


%changelog
* Tue Jun 20 2023 tomcat <> 3.1.4-1.np9
- 3.1.4
